2018-01-09 19:28:29 +01:00
|
|
|
PATCH-P0-FIX-SUSE: Fix log file path for logrotate
|
|
|
|
|
|
|
|
In SUSE we've got MySQL log in different directory. It's located in
|
|
|
|
/var/log/mysql by default. It also adds some extra error message.
|
|
|
|
|
|
|
|
Maintainer: Michal Hrusecky <Michal.Hrusecky@opensuse.org>
|
|
|
|
|
2023-03-06 08:56:47 +01:00
|
|
|
Index: support-files/mariadb.logrotate.sh
|
2018-01-09 19:28:29 +01:00
|
|
|
===================================================================
|
2023-03-06 08:56:47 +01:00
|
|
|
--- support-files/mariadb.logrotate.sh.orig
|
|
|
|
+++ support-files/mariadb.logrotate.sh
|
2018-01-09 19:28:29 +01:00
|
|
|
@@ -32,6 +32,14 @@
|
2023-03-06 08:56:47 +01:00
|
|
|
then
|
|
|
|
@bindir@/mariadb-admin $EXTRAPARAM --local flush-error-log \
|
|
|
|
flush-engine-log flush-general-log flush-slow-log
|
2018-01-09 19:28:29 +01:00
|
|
|
+ ret=$?
|
|
|
|
+ if test $ret -ne 0
|
|
|
|
+ then
|
|
|
|
+ echo "/etc/logrotate.d/mariadb failed, probably because" >&2
|
|
|
|
+ echo "the root acount is protected by password." >&2
|
|
|
|
+ echo "See comments in /etc/logrotate.d/mariadb on how to fix this" >&2
|
|
|
|
+ exit $ret
|
|
|
|
+ fi
|
2023-03-06 08:56:47 +01:00
|
|
|
fi
|
|
|
|
endscript
|
2018-01-09 19:28:29 +01:00
|
|
|
}
|